Subject: problem with removing console windows
From: [email-masked] (Alex Lyons)

18 Feb 1997 06:37:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (X11; I; SunOS 5.5 sun4u)
Original-To: [email-masked]
Original-Sender: [email-masked]

I am trying to get processes compiled under gnu-win32 which don't 
bring up console windows. This is so that they can be run from a GUI
app.

I've tried compiling a simple 'hello world' program using

gcc -Xlinker -ssubsystem -Xlinker windows -lstdc++

but I get linker warning about no entry symbol _WinMainCRTStartup and
the resulting executable doesn't run.

There must be a very simple thing that I'm doing wrong. Does anyone
know how to fix it. I can't see it in the FAQ.

Thanks very much.

---
Alex Lyons MA PhD		   mailto:[email-masked]
Computer Vision Group		   http://www.cre.canon.co.uk/
Canon Research Centre Europe Ltd   tel: +44-1483-448844
Guildford, Surrey, GU2 5YF, UK	   fax: +44-1483-448845
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".